REST Request Format
REST API requests must be submitted in a specific format.
The format of a LogLogic REST API request is:
<METHOD> <baseurl>/<basePath>?<query_parameters>
where:
<METHOD>is the HTTP method to be used on the resource (GET, POST, PUT, or DELETE)<baseurl>is the REST API Endpoint ( baseurl ).<basePath>is the part of the path that identifies the required LogLogic resource. It consists of:- a fixed part - for example,
/api/v2/querywhen starting a query. - followed by (if required) path parameters - for example,
idwhen starting a query
- a fixed part - for example,
<query_parameters>identifies any parameters to be passed as part of the request. Unless otherwise specified for a specific parameter, all query parameters are always optional. Multiple query parameters should be separated by ampersand (&) characters.
For example, the GET query request shows how to start a business service called GET query:
GET https://<hostName>:9681/api/v2/query/{id}
where:
https://<hostName>:9681/is the LogLogic REST API endpoint.api/v2is the fixed part of the <basePath>.queryis the path parameter in the <basePath>.{id}is the parameter of the path in the<basePath>.